
Redmine - Feature #1514

Parsing ftp URL

2008-06-22 21:41 - Stanislav German-Evtushenko

Status: Closed Start date: 2008-06-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed   

Description

Patch Redmine 0.7.1 for Parsing ftp URLs

Index: lib/redmine/wiki_formatting.rb

===================================================================

--- lib/redmine/wiki_formatting.rb    (revision 1496)

+++ lib/redmine/wiki_formatting.rb    (working copy)

@@ -126,6 +126,7 @@

                         )

                         (

                           (?:https?://)|           # protocol spec, or

+                          (?:ftp://)|              # 

                           (?:www\.)                # www.*

                         )

                         (

Associated revisions

Revision 1577 - 2008-06-23 18:51 - Jean-Philippe Lang

Turn ftp urls into links (#1514).

Revision 2018 - 2008-11-11 15:24 - Jean-Philippe Lang

Turn ftps and sftp proto into links (#1514).

History

#1 - 2008-06-23 18:51 - Jean-Philippe Lang

- Category set to Wiki

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Applied in r1577.

#2 - 2008-07-11 22:03 - Kevin Light

- Status changed from Closed to Reopened

I think the regex for parsing ftp:// links is a bit too aggressive as it tears apart sftp:// links.

The less aggressive approach would be to watch for whitespace before the ftp:// so the patch should be:

Index: lib/redmine/wiki_formatting.rb

===================================================================

--- lib/redmine/wiki_formatting.rb    (revision 1496)

+++ lib/redmine/wiki_formatting.rb    (working copy)

@@ -126,6 +126,7 @@

                         )

                         (

                           (?:https?://)|           # protocol spec, or

+                          (?:\sftp://)|            # 
                           (?:www\.)                # www.*

                         )

                         (

#3 - 2008-07-14 07:52 - Stanislav German-Evtushenko

Kevin Light wrote:

I think the regex for parsing ftp:// links is a bit too aggressive as it tears apart sftp:// links.

The less aggressive approach would be to watch for whitespace before the ftp:// so the patch should be:

[...]

 You can use "inline code" to disable parsing. For example: sftp://myserv

#4 - 2008-11-11 15:23 - Jean-Philippe Lang

- Status changed from Reopened to Closed

sftp and ftps proto are now properly turned into links (r2018).
